<div class="slider-parent mb-3">
    <a class="back-home" [routerLink]="['/home']">
        <fa-icon [icon]="faTimes"></fa-icon>
    </a>
    <app-slider [slides]="product.pictures"></app-slider>
</div>
<div class="container product">
    <div class="d-flex">
        <h5>{{product.brand}}</h5>
        <small class="ml-auto">Code: 1021</small>
    </div>
    <h5>{{product.model}}</h5>
    <span class="rent d-block">Rent for ${{product.final_price}}/day</span>
    <span class="buy d-block">Buy for ${{product.final_price * 90 | currency : 'USD' : 'symbol' : '1.00'}}</span>
    <p class="description">
        {{ seeMore ? product?.description : product?.description?.substr(0, 120) }}
        <ng-container *ngIf="product?.description?.length > 120">
            <span class="more-dots">{{ seeMore ? '' : '...'}}</span>
            <a class="more-text" (click)="seeMore = !seeMore;"> See{{ seeMore ? ' Less' : ' More'}}</a>
        </ng-container>
    </p>
    <hr/>
    <div class="row">
        <div class="col-6 col-md-4 mb-3 detail" *ngFor="let detail of details">
            <span class="d-block detail-title">{{detail.title}}</span>
            <span class="detail-value">{{product[detail.name]}}</span>
        </div>
    </div>
    <div class="row">
        <div class="col-6 pr-1">
            <button class="d-block btn btn-custom-big dark py-3">Rent</button>
        </div>
        <div class="col-6 pl-1">
            <button class="d-block btn btn-custom-big light py-3">Buy</button>
        </div>
    </div>
</div>